$vbr_up($j) num-states 2
$vbr_up($j) trans-probability 0 1 0.0063
$vbr_up($j) trans-probability 1 0 0.05

$vbr_up($j) state-interarrival 0 constant 0.015
$vbr_up($j) state-packetsize 0 eq-distributed 120 120

$vbr_up($j) state-interarrival 1 constant 0.0015
$vbr_up($j) state-packetsize 1 eq-distributed 120 120

$vbr_up($j) end-config

set delay_bound 0.1

# TSPEC
$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] NominalMSDUSize 120             ;# bytes
$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] MaximumMSDUSize 120            ;# bytes
$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] MaximumServiceInterval 0.05     ;# 5 millisec
$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] DelayBound      $delay_bound            ;# i.e. infinite
$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] MinimumDataRate 64000           ;# bit/sec

#set equiv_datarate [$vbr_up($j) get-MeanDataRate]
#set equiv_datarate [$vbr_up($j) get-EquivDataRate  0.1 0.2]
#set equiv_datarate [$vbr_up($j) get-EquivDataRate  0.1 0.01]
#set equiv_datarate 424000
#set equiv_datarate 208000
set equiv_datarate 128456

puts "VBR $j -> MeanDataRate: [$vbr_up($j) get-MeanDataRate]"
if {$opt(HCFscheduler) == "draft"} {
   puts "VBR $j -> EquivDataRate: $equiv_datarate"
   puts "VBR $j -> PeakDataRate: [$vbr_up($j) get-PeakDataRate]"
   $obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] MeanDataRate $equiv_datarate

} else {
   $obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] MeanDataRate    [$vbr_up($j) get-MeanDataRate]
}
puts "--------------------------------------"

$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] PeakDataRate [$vbr_up($j) get-PeakDataRate] ;# bit/sec
# Note: delay bound must be passed also to the station's queue
# Note: this command is not mandatory. If not specified the timeout
#       value being used are specified in ./tc_par.tcl
#   par1: AC
#   par2: seconds (max time spent in queue before being discarded)
$obj(ifq,$j) set-delaybound   2  $delay_bound
