$vbr_up($j) num-states 3
$vbr_up($j) trans-probability 0 1 0.038
$vbr_up($j) trans-probability 0 2 0.0036
$vbr_up($j) trans-probability 1 0 0.6
$vbr_up($j) trans-probability 1 2 0.1
$vbr_up($j) trans-probability 2 0 0.06
$vbr_up($j) trans-probability 2 1 0.1

$vbr_up($j) state-interarrival 0 constant 0.015
$vbr_up($j) state-packetsize 0 eq-distributed 120 120

$vbr_up($j) state-interarrival 1 constant 0.015
$vbr_up($j) state-packetsize 1 eq-distributed 1200 1200

$vbr_up($j) state-interarrival 2 constant 0.0015
$vbr_up($j) state-packetsize 2 eq-distributed 120 120

$vbr_up($j) end-config

set delay_bound 0.15

# TSPEC
$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] NominalMSDUSize 280             ;# bytes
$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] MaximumMSDUSize 1200            ;# bytes
$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] MaximumServiceInterval 0.1     ;# 5 millisec
$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] DelayBound      $delay_bound    ;# i.e. infinite
$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] MinimumDataRate 64000           ;# bit/sec

#set equiv_datarate [$vbr_up($j) get-MeanDataRate]
#set equiv_datarate [$vbr_up($j) get-EquivDataRate  0.05 0.2]
#set equiv_datarate [$vbr_up($j) get-EquivDataRate  0.05 0.05]
#set equiv_datarate [$vbr_up($j) get-EquivDataRate  0.05 0.01]
#set equiv_datarate 424000
#set equiv_datarate 294400
#set equiv_datarate 208000
set equiv_datarate 128045

puts "VBR $j -> MeanDataRate: [$vbr_up($j) get-MeanDataRate]"
if {$opt(HCFscheduler) == "draft"} {
   puts "VBR $j -> EquivDataRate: $equiv_datarate"
   puts "VBR $j -> PeakDataRate: [$vbr_up($j) get-PeakDataRate]"
   $obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] MeanDataRate $equiv_datarate

} else {  ;# enhanced scheduler
   $obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] MeanDataRate    [$vbr_up($j) get-MeanDataRate]   
}
puts "--------------------------------------"

$obj(mac,0) TSPEC [$obj(mac,$j) mac-addr] PeakDataRate [$vbr_up($j) get-PeakDataRate] ;# bit/sec
# Note: delay bound must be passed also to the station's queue
# Note: this command is not mandatory. If not specified the timeout
#       value being used are specified in ./tc_par.tcl
#   par1: AC
#   par2: seconds (max time spent in queue before being discarded)
$obj(ifq,$j) set-delaybound   2  $delay_bound
