#!/bin/bash

rm -f multi.txt

perr=0.01

nn=20

vocoder=g729
#vocoder=g711

for nn2 in 2 4 6 8 10 12 14 16 18 20 ; do

echo "Simulating network VOIP with nn2 = ${nn2}" >> multi.txt

../../../ns main.tcl -start 20 -stop 100 -nn $nn -dia 50 -bandwidth 11e6	\
                     -vocoder "${vocoder}" -nn2 $nn2				\
                     -cap_interval 0.05 -nccop 16 -cap_start 0 -cap_stop 2000	\
                     -pcf_start 20 -pcf_stop 2000				\
                     -burstBG 230 -burstBB 5700 -pGB 0.05 -perr $perr		\
                     -idx "${vocoder}_nn2_${nn2}" -dir "Multirate"		\
                     -tcp 1 -tcp_size 1000 -onoff 2 -avg_wait 5.0		\
                     -udp 0 -voip 1 -udp_size 2500 -load 32000			\
                     -macstandard 0 -legacy 0					\
                     -num_tc 4 -bsburst -1 -wtburst -1 -txoplmt 0.0028		\
                     -ifqlen 25000 -bsqlen 400000 -qinb 1

rm -f Multirate${vocoder}_nn2_${nn2}.tr
rm Multirate/${vocoder}_nn2_${nn2}_web.txt

done






